import { bulkCreateMessages as publicBulkCreateMessages, listMessages as publicListMessages } from './innovation-widget-v1-message-messages.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const bulkCreateMessages: MaybeContext<BuildRESTFunction<typeof publicBulkCreateMessages> & typeof publicBulkCreateMessages>;
export declare const listMessages: MaybeContext<BuildRESTFunction<typeof publicListMessages> & typeof publicListMessages>;
export { Sender, MessageType, WebhookIdentityType, } from './innovation-widget-v1-message-messages.universal.js';
export { Message, Body, ExtendedFields, BulkCreateMessagesRequest, BulkCreateMessagesResponse, ListMessagesRequest, CursorPaging, ListMessagesResponse, PagingMetadataV2, Cursors, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BulkCreateMessagesResponseNonNullableFields, ListMessagesResponseNonNullableFields, BulkCreateMessagesOptions, ListMessagesOptions, } from './innovation-widget-v1-message-messages.universal.js';
